Screenshots
Generated reference for the 2 /v1/screenshots operations of the 0x REST API.
Generated from steamworks sg-backend/openapi.yaml at build 3a4a58e45c+dirty. Do not edit by hand.
Errors are {"error": "..."} with the status (errors); limits are in rate limits.
| Method | Path | Auth | Summary |
|---|---|---|---|
GET | /v1/screenshots/{id} | Bearer token | Image bytes |
PUT | /v1/screenshots/{id}/meta | Bearer token | Tag location, users, published files |
#GET /v1/screenshots/{id}
Image bytes
Auth: Bearer token: Authorization: Bearer <access token> (authentication).
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Response |
|---|---|
| 200 | File contents (application/octet-stream) |
curl -s "https://api.0x.limo/v1/screenshots/$ID" \
-H "Authorization: Bearer $ZEROX_TOKEN"#PUT /v1/screenshots/{id}/meta
Tag location, users, published files
Auth: Bearer token: Authorization: Bearer <access token> (authentication).
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Response |
|---|---|
| 200 | OK |
curl -s -X PUT "https://api.0x.limo/v1/screenshots/$ID/meta" \
-H "Authorization: Bearer $ZEROX_TOKEN"